Subject: Re: [PATCH 1/2] color: downgrade "always" to "auto" only for on-disk configuration

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Oct 2017 14:05:35 +0900

Jonathan Nieder <[email-masked]> writes:

> Should we document this special case treatment of color.* in -c
> somewhere?  E.g.

Perhaps, although I'd save that until we actually add the new option
to "git" potty, which hasn't happened yet, if I were thinking about
adding some text like that.  Also I'd call that --default-color=always
or something like that, to avoid having to answer: what are the
differences between these two --color thing in the following?

    git --color=foo cmd --color=bar